---
lang: en
title: 'API docs: rest.parseparamsprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.parseparamsprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ParseParamsProvider](./rest.parseparamsprovider.md)

## ParseParamsProvider class

Provides the function for parsing args in requests at runtime.

<b>Signature:</b>

```typescript
export declare class ParseParamsProvider implements Provider<ParseParams> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[ParseParams](./rest.parseparams.md)<!-- -->&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(requestBodyParser, validationOptions, ajvFactory)](./rest.parseparamsprovider._constructor_.md) |  | Constructs a new instance of the <code>ParseParamsProvider</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [value()](./rest.parseparamsprovider.value.md) |  |  |


